ALLEGRO_TOUCH_STATE(3)

NAME

ALLEGRO_TOUCH_STATE - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    typedef struct ALLEGRO_TOUCH_STATE ALLEGRO_TOUCH_STATE;

DESCRIPTION

This is a structure that is used to hold a "snapshot" of a touch at a particular instant.

Public fields (read only):

•   id - identifier of the touch. If the touch is valid, this is positive.

•   x - touch x position

•   y - touch y position

•   dx - touch relative x position

•   dy - touch relative y position

•   primary - TRUE if this touch is the primary one (usually the first one).

•   display - The ALLEGRO_DISPLAY(3) that was touched.

SINCE

5.1.0